Codevisor Docs
Api reference

GET Plugins Registry

GET/v1/plugins/registry

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

q?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/plugins/registry"
{  "generatedAt": "string",  "entries": [    {      "id": "string",      "name": "string",      "version": "string",      "protocolVersion": 0,      "description": "string",      "iconPath": "string",      "panes": [        {          "type": "string",          "title": "string",          "path": "string",          "iconPath": "string"        }      ],      "tools": [        {          "name": "string",          "description": "string",          "path": "string",          "inputSchema": null        }      ],      "repo": "string",      "commit": "string",      "minCodevisorVersion": "string",      "requirements": {        "executables": [          {            "name": "string",            "installHint": "string",            "helpUrl": "string"          }        ]      },      "platforms": [        "string"      ],      "ownerAvatarUrl": "string",      "stars": 0,      "pushedAt": "string",      "verified": true    }  ],  "rejected": [    {      "repo": "string",      "reason": "string"    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}